Subject: Re: bug#48714: 28.0.50; Inconsistent font after theme modus-operandi upgrade

From: Protesilaos Stavrou <[email-masked]>
Date: Sat, 29 May 2021 10:56:53 +0300

On 2021-05-29, 13:11 +0530, Pankaj Jangid <[email-masked]> wrote:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> Does this happen with emacs -Q as well?
>
> Hmm... I created a test.el with just this:
>
> --8<---------------cut here---------------start------------->8---
> (when (window-system)
>   (custom-set-variables
>    '(modus-themes-slanted-constructs t)
>    '(modus-themes-bold-constructs nil))
>   (load-theme 'modus-operandi))
> --8<---------------cut here---------------end--------------->8---
>
> And it is working perfectly fine with ‘emacs -Q -l test.el’. So there
> must be something in my init which is interfering with the theme.

It has to be something with your fontsets.  Or, it might be that a font
family on your system is missing some variant like italics and thus
falls back to another typeface.

> I have tried various things. But I need more time to isolate the
> cause. Couple of things that made a difference:
>
> 1. (setenv "LANG" "en_US.UTF-8")
> 2. Following in my init:
>
> --8<---------------cut here---------------start------------->8---
> (cond
>  ((eq system-type 'gnu/linux)
>   ;; On Debian, do this
>   ;; sudo apt-get install fonts-noto
>   (set-fontset-font t 'devanagari "Noto"))
>  ((eq system-type 'darwin)
>   ;; (set-fontset-font t 'devanagari "ITF Devanagari")
>   (set-fontset-font t 'devanagari "Kohinoor Devanagari")))
> --8<---------------cut here---------------end--------------->8---
>
> Commenting out above two settings also changed the looks. But it was
> still not perfect. I’ll dig more and report.

Sure, please do.

-- 
Protesilaos Stavrou
https://protesilaos.com